View Issue Details

IDProjectCategoryView StatusLast Update
11759Feature requests[All Projects] Survey designpublic2018-04-06 11:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11759: Rename question class to ls-answer class
Description

See https://manual.limesurvey.org/The_template_editor#Global_classes_for_question_part

question is the wrapper of all answers ..... better to us ls-answer or ls-answers

Additional Information

Else we have
hide : removed : use sr-only or ls-label-xs-visibility (and the 2 js)
radio : removed
checkbox : removed
.array1 .array2 : replace by ls-odd/ls-even

odd/even : replace by ls-col-odd / ls-col-even ?

BUT : we must use ls-col-odd for array by column for line an ls-odd for column ....

Tagsanswers_html

Activities

DenisChenu

DenisChenu

2016-10-10 23:35

developer   ~41219

Surely some hide to remove

Done for

  • ls-answers
  • ls-odd/ls-even

2.50 have lost col-odd/col-even : leave it for 3.1.X

Related Changesets

LimeSurvey: answers_html 692cc79a

2016-10-10 23:31:19

DenisChenu

Details Diff
Feature 11759: ls-answers class to all question answer html Affected Issues
11759
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/5pointchoice/answer.php Diff File
mod - application/views/survey/questions/arrays/10point/answer.php Diff File
mod - application/views/survey/questions/arrays/5point/answer.php Diff File
mod - application/views/survey/questions/arrays/array/dropdown/answer.php Diff File
mod - application/views/survey/questions/arrays/array/no_dropdown/answer.php Diff File
mod - application/views/survey/questions/arrays/column/answer.php Diff File
mod - application/views/survey/questions/arrays/dualscale/answer.php Diff File
mod - application/views/survey/questions/arrays/increasesamedecrease/answer.php Diff File
mod - application/views/survey/questions/arrays/multiflexi/answer.php Diff File
mod - application/views/survey/questions/arrays/multiflexi/rows/cells/answer_td.php Diff File
mod - application/views/survey/questions/arrays/texts/answer.php Diff File
mod - application/views/survey/questions/arrays/yesnouncertain/answer.php Diff File
mod - application/views/survey/questions/boilerplate/answer.php Diff File
mod - application/views/survey/questions/date/dropdown/answer.php Diff File
mod - application/views/survey/questions/date/dropdown/rows/datepart.php Diff File
mod - application/views/survey/questions/date/dropdown/rows/day.php Diff File
mod - application/views/survey/questions/date/dropdown/rows/hour.php Diff File
mod - application/views/survey/questions/date/dropdown/rows/minute.php Diff File
mod - application/views/survey/questions/date/dropdown/rows/month.php Diff File
mod - application/views/survey/questions/date/dropdown/rows/year.php Diff File
mod - application/views/survey/questions/date/selector/answer.php Diff File
mod - application/views/survey/questions/equation/answer.php Diff File
mod - application/views/survey/questions/file_upload/answer.php Diff File
mod - application/views/survey/questions/gender/buttons/answer.php Diff File
mod - application/views/survey/questions/gender/radio/answer.php Diff File
mod - application/views/survey/questions/language/answer.php Diff File
mod - application/views/survey/questions/list_dropdown/answer.php Diff File
mod - application/views/survey/questions/list_with_comment/dropdown/answer.php Diff File
mod - application/views/survey/questions/list_with_comment/list/answer.php Diff File
mod - application/views/survey/questions/listradio/answer.php Diff File
mod - application/views/survey/questions/listradio/columns/column_header.php Diff File
mod - application/views/survey/questions/longfreetext/answer.php Diff File
mod - application/views/survey/questions/multiplechoice/answer.php Diff File
mod - application/views/survey/questions/multiplechoice/columns/column_header.php Diff File
mod - application/views/survey/questions/multiplechoice_with_comments/rows/answer_row.php Diff File
mod - application/views/survey/questions/multiplechoice_with_comments/rows/answer_row_other.php Diff File
mod - application/views/survey/questions/multiplenumeric/answer.php Diff File
mod - application/views/survey/questions/multiplenumeric/rows/sliders/answer_row.php Diff File
mod - application/views/survey/questions/multipleshorttext/answer.php Diff File
mod - application/views/survey/questions/multipleshorttext/rows/answer_row_inputtext.php Diff File
mod - application/views/survey/questions/multipleshorttext/rows/answer_row_textarea.php Diff File
mod - application/views/survey/questions/numerical/answer.php Diff File
mod - application/views/survey/questions/ranking/answer.php Diff File
mod - application/views/survey/questions/ranking/rows/answer_row.php Diff File
mod - application/views/survey/questions/shortfreetext/location_mapservice/item.php Diff File
mod - application/views/survey/questions/shortfreetext/text/item.php Diff File
mod - application/views/survey/questions/shortfreetext/textarea/item.php Diff File
mod - application/views/survey/questions/yesno/buttons/item.php Diff File
mod - application/views/survey/questions/yesno/radio/item.php Diff File
mod - scripts/numeric-slider.js Diff File
mod - scripts/ranking.js Diff File
mod - styles-public/numeric-slider.css Diff File

Issue History

Date Modified Username Field Change
2016-10-07 16:39 DenisChenu New Issue
2016-10-09 20:16 DenisChenu Assigned To => DenisChenu
2016-10-09 20:16 DenisChenu Status new => assigned
2016-10-10 23:34 DenisChenu Changeset attached => LimeSurvey answers_html 692cc79a
2016-10-10 23:35 DenisChenu Status assigned => resolved
2016-10-10 23:35 DenisChenu Resolution open => fixed
2016-10-10 23:35 DenisChenu Note Added: 41219
2016-10-10 23:35 DenisChenu Status resolved => feedback
2016-10-10 23:35 DenisChenu Resolution fixed => reopened
2016-10-10 23:36 DenisChenu Status feedback => resolved
2016-10-10 23:36 DenisChenu Resolution reopened => fixed
2016-10-10 23:36 DenisChenu Fixed in Version => 3.0
2016-10-10 23:36 DenisChenu Tag Attached: answers_html
2018-04-06 11:48 markusfluer Status resolved => closed